Bug 36187 - Wish for a missing function - enlarge / reduce selected part CTRL + ], CTRL +[
Summary: Wish for a missing function - enlarge / reduce selected part CTRL + ], CTRL +[
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.7.0
Keywords: easyHack
Depends on:
Blocks: 95635
  Show dependency treegraph
 
Reported: 2011-04-12 14:45 UTC by Nati Segel
Modified: 2015-12-18 10:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Add ctrl-[ and ctrl-] to reduce/enlarge font size. (3.39 KB, patch)
2012-03-04 16:09 UTC, Cameron Paul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nati Segel 2011-04-12 14:45:22 UTC
I miss the possibility to enlarge or reduce text size in a selected part of the document. In MSWORD you can select text,  than enlarge/reduce size by CTRL + ] or
CTRL +[.
I couldn't find an equal function in Writer.
Comment 1 Björn Michaelsen 2011-12-23 12:03:23 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Björn Michaelsen 2011-12-23 12:57:21 UTC
An EasyHack should have been checked by developers and thus is confirmed regardless of age. Moving back to NEW from NEEDINFO again. Sorry for the hassle.
Comment 3 Cameron Paul 2012-03-04 16:09:36 UTC
Created attachment 58011 [details]
Add ctrl-[ and ctrl-] to reduce/enlarge font size.

I implemented this by adding the following to officecfg/registry/data/org/openoffice/Office/Accelerators.xcu.

<node oor:name="BRACKETLEFT_MOD1" oor:op="replace">
 <prop oor:name="Command"><value xml:lang="x-no-translate">I10N SHORTCUTS - NO TRANSLATE</value>
  <value xml:lang="en-US">.uno:Shrink</value>
 </prop>
</node>
<node oor:name="BRACKETRIGHT_MOD1" oor:op="replace">
 <prop oor:name="Command"><value xml:lang="x-no-translate">I10N SHORTCUTS - NO TRANSLATE</value>
  <value xml:lang="en-US">.uno:Grow</value>
 </prop>
</node>

I added the above XML to the following sections which appear to cover everything edited in Writer.

SecondaryKeys -> Modules -> com.sun.star.text.GlobalDocument
SecondaryKeys -> Modules -> com.sun.star.text.TextDocument
SecondaryKeys -> Modules -> com.sun.star.text.WebDocument
SecondaryKeys -> Modules -> com.sun.star.xforms.XMLFormDocument

If any of this is incomplete or incorrect I will be happy to put together another patch.
Comment 4 msjasinski 2012-03-27 17:35:46 UTC
+1
Please, this is very useful indeed.
Comment 5 Michael Meeks 2012-05-08 13:42:58 UTC
Pushed ! sorry for the inordinate delay; patches to the mailing list strongly preferred with [PATCH] in the Subject.

Thanks !
Comment 6 Not Assigned 2012-05-08 13:48:58 UTC
Cameron Paul committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7d4d536a2e3b708af8939bdb037b1de8c9b2d1b

fdo#36187 - make ctrl-[ and ] increase/decrease font size.
Comment 7 jon 2012-05-29 12:31:19 UTC
Will this be translated? Considering that the [] keys arent available (alt-gr is used together with 8 and 9 to type them) on for example a swedish keyboard, using 8 and 9 is what ms word does (at least some versions).

Please let me know as i work for the swedish L10N team.

Best regards!
Comment 8 Dave Richards 2012-05-31 10:09:07 UTC
This patch works great.  Would it be possible to allow control-middle mouse to perform the same task?  So if no text is highlighted, control middle mouse zooms the Libre canvas as it does currently.  But if you highlight text and do the same thing, then it runs this code and changes the point size of the text?
Comment 9 manj_k 2012-06-16 08:34:16 UTC
Removed 'EasyHack' from Summary.
Comment 10 Korrawit Pruegsanusak 2012-07-01 09:44:19 UTC
(In reply to comment #7)
> Will this be translated? Considering that the [] keys arent available (alt-gr
> is used together with 8 and 9 to type them) on for example a swedish keyboard,
> using 8 and 9 is what ms word does (at least some versions).

@Andras, could you please have a look? Thanks!
Also, I don't know if there are more keyboard layouts that affected.
Comment 11 Andras Timar 2012-07-01 10:58:06 UTC
We can add localizations to officecfg/registry/data/org/openoffice/Office/Accelerators.xcu. Did I understand correnctly that Swedish would like Ctrl+8 and Ctrl+9?
Comment 12 Not Assigned 2012-07-14 14:55:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4090ec5c4c8c68783ef94460d0809377769944e7

fdo#36187 - make ctrl-8 and 9 increase/decrease font size in Swedish
Comment 13 Not Assigned 2012-07-14 17:35:34 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20be5a629e59b83bd1817db523d391296041e490&g=libreoffice-3-6

fdo#36187 - make ctrl-8 and 9 increase/decrease font size in Swedish


It will be available in LibreOffice 3.6.
Comment 14 khagaroth 2012-07-29 09:03:46 UTC
I guess this won't work on many keyboard layouts, [ and ] aren't that common. It definitely doesn't work on Czech keyboard, but it's the same with Word (it uses the same shortcut).
I'm afraid this problem will be more and more common, the keyboard is already mostly taken and the only mostly free shortcuts with Ctrl+Alt are unusable on Windows, so I guess there is not much that can be done.
That said, changing this to Ctrl+8 and 9 will work for Czech too.
Comment 15 k-j 2012-07-29 11:59:35 UTC
(In reply to comment #14)
> That said, changing this to Ctrl+8 and 9 will work for Czech too.
The same for German.
Comment 16 Robinson Tryon (qubit) 2015-12-18 10:00:25 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]